> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/annotation/annotation-types/ellipseannotation.md).

# Ellipse Annotations

Learn how to use ellipse annotations to highlight areas on a document effectively. Customize fill, stroke colors, and border styles for attention-grabbing results. Explore XFDF element name: circle an

Ellipse annotations are one of the basic shapes for annotating. You can use this to circle certain areas on a document to bring attention to them.

Ellipse annotations can have both a fill and stroke color. The stroke or border style can also be changed to between a solid or dashed. The cloudy style is not supported.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-217e66a4b38f69c760d2ddf2252825398c9ad85a%2F46535dd7aedb16aeaa11bd2b648c7aeb268d452a-180x134.png?alt=media)

## Instantiation

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const { documentViewer, annotationManager, Annotations } = instance.Core;

    documentViewer.addEventListener('annotationsLoaded', () => {
      const annot = new Annotations.EllipseAnnotation({
        PageNumber: 1,
        X: 100,
        Y: 50,
        Width: 150,
        Height: 25,
        StrokeColor: new Annotations.Color(0, 255, 0, 1), 
      });

      annotationManager.addAnnotation(annot);
      annotationManager.redrawAnnotation(annot);
    });
  });
```

{% endcode %}

[DocumentViewer#annotationsLoaded](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#event:annotationsLoaded) [EllipseAnnotation](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html) [Color](https://sdk.apryse.com/api/web/Core.Annotations.Color.html) [AnnotationManager.addAnnotation](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#addAnnotation) [AnnotationManager.redrawAnnotation](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#redrawAnnotation)
{% endtab %}

{% tab title="JavaScript (SDK v6.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const { docViewer, annotManager, Annotations } = instance;

    docViewer.on('annotationsLoaded', () => {
      const annot = new Annotations.EllipseAnnotation();
      annot.PageNumber = 1;
      annot.X = 100;
      annot.Y = 50;
      annot.Width = 150;
      annot.Height = 25;
      annot.StrokeColor = new Annotations.Color(0, 255, 0, 1);

      annotManager.addAnnotation(annot);
      annotManager.redrawAnnotation(annot);
    });
  });
```

{% endcode %}

[DocumentViewer#annotationsLoaded](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#event:annotationsLoaded) [EllipseAnnotation](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html) [Color](https://sdk.apryse.com/api/web/Core.Annotations.Color.html) [AnnotationManager.addAnnotation](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#addAnnotation) [AnnotationManager.redrawAnnotation](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#redrawAnnotation)
{% endtab %}
{% endtabs %}

## XFDF

Element name: `circle`

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
<circle page="0" rect="241.520,578.270,344.750,641.790" color="#E44234" flags="print" name="600ca455-44a4-f8ff-6132-dcbec1013ba3" title="Guest" subject="Ellipse" date="D:20220602170947-07'00'" creationdate="D:20220602170946-07'00'"/>
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Required properties

### PageNumber

Gets or sets the page number of a document that the annotation appears on.

### X

Gets or sets the annotation's x-axis position.

### Y

Gets or sets the annotation's y-axis position.

### Height

Gets or sets the height of the annotation.

### Width

Gets or sets the width of the annotation.

## Notable properties

For the full list of properties, please visit the annotation's [API docs](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html).

### FillColor

Gets or sets the color of the annotation's interior.

### StrokeColor

Gets or sets the color of the annotation's stroke.

### StrokeThickness

Gets or sets the width of the annotation's stroke outline.

### Style

Gets or sets the border style of an annotation. Possible styles include:

* solid
* dash

### Dashes

Gets or sets the border dash style of an annotation. This expects a string representing the length of dashes and spacing inbetween, delimited by commas (ex. `3, 3`). You can specify any amount of lengths but, an odd number of values will be made even by cloning it as a second set. To understand further, you can read more about the [`setLineDash`](https://developer.mozilla.org/en-US/docs/Web/API/CanvasRenderingContext2D/setLineDash/) API.

### Author

The author of the annotation.

### Color

Gets or sets the annotation's stroke color.

### Hidden

Gets or sets whether the annotation is hidden.

### Invisible

Gets or sets whether the annotation is invisible, only if it is an unknown annotation type. Generally for hiding annotations you should use "Hidden".

### IsClickableOutsideRect

Gets or sets whether any parts of the annotation drawn outside of the rect are clickable.

### Listable

Gets or sets whether the annotation should be listed in annotation lists. If set to false, the annotation will also become unselectable.

### Locked

Gets or sets whether the annotation is locked or not. If it's locked it can't be edited or deleted, but the note can be edited.

### LockedContents

Gets or sets whether the annotation contents are locked or not. If the contents are locked then note can't be edited but the annotation can be edited or deleted.

### NoDelete

Gets or sets if this annotation can be deleted.

### NoMove

Gets or sets whether or not the annotation can be moved.

### NoResize

Gets or sets if this annotation can be resized by the user.

### NoRotate

Gets or sets if this annotation can be rotated.

### NoView

Gets or sets whether the annotation is visible on the screen. Differs from Hidden in that it can still be printed if the print flag is set.

### NoZoom

Gets or sets if this annotation scales with the page.

### Opacity

Gets or sets the opacity of the annotation.

### Printable

Gets or sets whether the annotation should be displayed when printing the page.

### ReadOnly

Gets or sets whether the annotation is readonly or not. If it's readonly both the annotation itself and its note can't be edited or deleted.

### ToggleNoView

Gets or sets whether the ToggleNoView flag is set on the annotation.

## Useful methods

### setRect

Although ellipse annotations have both [`move`](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#move) and [`resize`](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#resize) APIs, it also provides a [`setRect`](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#setRect) API which effectively does both which makes it worthy to note.

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const { annotationManager, Annotations } = instance.Core;

    annotationManager.addEventListener('annotationChanged', (annotations, action) => {
      if (action === 'add') {
        annotations.forEach(annot => {
          if (annot instanceof Annotations.EllipseAnnotation) {
            const rect = annot.getRect();
            rect.X = Math.round(rect.X);
            rect.Y = Math.round(rect.Y);
            rect.Width = Math.round(rect.Width);
            rect.Height = Math.round(rect.Height);

            annot.setRect(rect);
          }
        });
      }
    });
  });
```

{% endcode %}

[AnnotationManager#annotationChanged](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#event:annotationChanged) [EllipseAnnotation.getRect](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#getRect) [EllipseAnnotation.setRect](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#setRect)
{% endtab %}

{% tab title="JavaScript (SDK v6.0+)" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const { annotManager, Annotations } = instance.Core;

    annotManager.on('annotationChanged', (annotations, action) => {
      if (action === 'add') {
        annotations.forEach(annot => {
          if (annot instanceof Annotations.EllipseAnnotation) {
            const rect = annot.getRect();
            rect.X = Math.round(rect.X);
            rect.Y = Math.round(rect.Y);
            rect.Width = Math.round(rect.Width);
            rect.Height = Math.round(rect.Height);

            annot.setRect(rect);
          }
        });
      }
    });
  });
```

{% endcode %}

[AnnotationManager#annotationChanged](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#event:annotationChanged) [EllipseAnnotation.getRect](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#getRect) [EllipseAnnotation.setRect](https://sdk.apryse.com/api/web/Core.Annotations.EllipseAnnotation.html#setRect)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/annotation/annotation-types/ellipseannotation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
